Subject: Re: [bug#28773] [PATCH] Wrap bin files in the ruby build system.

From: Christopher Baines <[email-masked]>
Date: Sun, 14 Jan 2018 22:22:15 +0000

Ludovic Courtès <[email-masked]> writes:

> Hello!
>
> Ben Woodcroft <[email-masked]> skribis:
>
>> On 16/10/17 23:19, Ludovic Courtès wrote:
>>> Hi Chris,
>>>
>>> Christopher Baines <[email-masked]> skribis:
>>>
>>>> This is a bit experimental. There is some description of the motivation
>>>> behind this approach, as well as the downsides in the commit messages.
>>>>
>>>> I don't know how to wrap binaries with the GEM_PATH, but somehow
>>>> excluding inputs specified as native-inputs, so I'd be very interested
>>>> if anyone has ideas about this.
>>>>
>>>> Christopher Baines (3):
>>>>    ruby-build-system: Add wrap-ruby-program.
>>>>    ruby-build-system: Add a new wrap phase.
>>>>    gnu: Remove redundant wrapping from packages using ruby-build-system.
>>> Cc’ing Ben who is another Serious Ruby User I think.  :-)
>>
>> Maybe sometimes. I'll try to get a review back to you in the next week
>> or so.
>
> Ahem.  :-)
>
> Chris, if you’re confident, I’d say you can go ahead.  It does sound
> like an improvement so it’d be sad to lose it.

Great, I've now pushed this, along with the other ruby build system
change.